'
' Copyright (c) 2001-2025 by Apryse Software Inc. All Rights Reserved.
'

Public Class PDFTronLicense
    'Enter your key here. If you don't have it, please go to https://www.pdftron.com/pws/get-key to obtain a demo license or https://www.pdftron.com/form/contact-sales to obtain a production key. 
    Private Shared LicenseKey As String = "YOUR_PDFTRON_LICENSE_KEY"

    Public ReadOnly shared Property Key() As String
        Get
            If (LicenseKey = "YOUR_PDFTRON_LICENSE_KEY" Or LicenseKey = "") Then
                Throw (New System.Exception("Please enter your license key by replacing ""YOUR_PDFTRON_LICENSE_KEY"" that is assigned to the LicenseKey variable in Samples/LicenseKey/VB/LicenseKey.vb. If you do not have a license key, please go to https://www.pdftron.com/pws/get-key to obtain a demo license or https://www.pdftron.com/form/contact-sales to obtain a production key."))
            End If
            Return LicenseKey
        End Get
    End Property
End Class
